# Uses of Interface
org.eclipse.birt.chart.model.ChartWithoutAxes

Packages that use ChartWithoutAxes
Package
Description
org.eclipse.birt.chart.computation.withoutaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withoutaxes package.
org.eclipse.birt.chart.model
Contains the chart model interfaces that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.impl
Represents the chart model implementation classes that define the starting point for creating a new chart.

## Uses of ChartWithoutAxes in org.eclipse.birt.chart.computation.withoutaxes

Methods in org.eclipse.birt.chart.computation.withoutaxes that return ChartWithoutAxes
Modifier and Type
Method
Description
`ChartWithoutAxes`
PlotWithoutAxes.`getModel()`
Constructors in org.eclipse.birt.chart.computation.withoutaxes with parameters of type ChartWithoutAxes
Modifier
Constructor
Description
``
`PlotWithoutAxes(IDisplayServer xs, ChartWithoutAxes cwoa, RunTimeContext rtc)`
The constructor.

## Uses of ChartWithoutAxes in org.eclipse.birt.chart.model

Subinterfaces of ChartWithoutAxes in org.eclipse.birt.chart.model
Modifier and Type
Interface
Description
`interface`
`DialChart`
A representation of the model object 'Dial Chart'.
Methods in org.eclipse.birt.chart.model that return ChartWithoutAxes
Modifier and Type
Method
Description
`ChartWithoutAxes`
ChartWithoutAxes.`copyInstance()`
`ChartWithoutAxes`
ModelFactory.`createChartWithoutAxes()`
Returns a new object of class 'Chart Without Axes'.

## Uses of ChartWithoutAxes in org.eclipse.birt.chart.model.impl

Classes in org.eclipse.birt.chart.model.impl that implement ChartWithoutAxes
Modifier and Type
Class
Description
`class`
`ChartWithoutAxesImpl`
An implementation of the model object 'Chart Without Axes'.
`class`
`DialChartImpl`
An implementation of the model object 'Dial Chart'.
Methods in org.eclipse.birt.chart.model.impl that return ChartWithoutAxes
Modifier and Type
Method
Description
`ChartWithoutAxes`
ChartWithoutAxesImpl.`copyInstance()`
`static ChartWithoutAxes`
ChartWithoutAxesImpl.`create()`
A convenience method to create an initialized 'ChartWithoutAxes' instance
`static final ChartWithoutAxes`
DialChartImpl.`create()`
`ChartWithoutAxes`
ModelFactoryImpl.`createChartWithoutAxes()`
`static ChartWithoutAxes`
ChartWithoutAxesImpl.`createDefault()`
A convenience method to create an initialized 'ChartWithoutAxes' instance
`static final ChartWithoutAxes`
DialChartImpl.`createDefault()`